package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjLjzjysyqk;

/**
 * 邻井钻井液使用情况Mapper接口
 * 
 * @author ruoyi
 * @date 2026-02-04
 */
public interface SjLjzjysyqkMapper 
{
    /**
     * 查询邻井钻井液使用情况
     * 
     * @param id 邻井钻井液使用情况主键
     * @return 邻井钻井液使用情况
     */
    public SjLjzjysyqk selectSjLjzjysyqkById(Long id);

    /**
     * 查询邻井钻井液使用情况列表
     * 
     * @param sjLjzjysyqk 邻井钻井液使用情况
     * @return 邻井钻井液使用情况集合
     */
    public List<SjLjzjysyqk> selectSjLjzjysyqkList(SjLjzjysyqk sjLjzjysyqk);

    /**
     * 新增邻井钻井液使用情况
     * 
     * @param sjLjzjysyqk 邻井钻井液使用情况
     * @return 结果
     */
    public int insertSjLjzjysyqk(SjLjzjysyqk sjLjzjysyqk);

    /**
     * 修改邻井钻井液使用情况
     * 
     * @param sjLjzjysyqk 邻井钻井液使用情况
     * @return 结果
     */
    public int updateSjLjzjysyqk(SjLjzjysyqk sjLjzjysyqk);

    /**
     * 删除邻井钻井液使用情况
     * 
     * @param id 邻井钻井液使用情况主键
     * @return 结果
     */
    public int deleteSjLjzjysyqkById(Long id);

    /**
     * 批量删除邻井钻井液使用情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjLjzjysyqkByIds(Long[] ids);

    int insertSjLjzjysyqkBatch(List<SjLjzjysyqk> sjLjzjysyqkList);

    int deleteSjLjzjysyqkByJh(String jh);

}
